"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAccount = exports.saveAccount = exports.accountExists = void 0;
const db = {};
const accountExists = (username) => Promise.resolve(!!db[username]);
exports.accountExists = accountExists;
const saveAccount = (account) => Promise.resolve((db[account.username] = account)).then(() => account.username);
exports.saveAccount = saveAccount;
const getAccount = (username) => Promise.resolve(db[username]);
exports.getAccount = getAccount;
