import { APIGatewayProxyEvent, APIGatewayProxyEventV2, Context } from "aws-lambda";
import { Request } from ".";
import { Response, Responses, StatusCode } from "./router";
declare type Handler<Url extends string, B, R extends Responses, T> = (req: Request<Url, B, R>, originalEvent: {
    originalEvent: APIGatewayProxyEvent | APIGatewayProxyEventV2;
    context: Context;
}, t: T) => Promise<Response<R, StatusCode>>;
declare type HttpHandler<Url extends string, B, R extends Responses> = Handler<Url, B, R, void>;
export declare const Middleware: {
    of: <T>(impl: Handler<string, any, Responses, Handler<string, any, any, T>>) => <Url extends string, B, R extends Responses>(handler: Handler<Url, B, R, T>) => HttpHandler<Url, B, R>;
};
export {};
