"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LambdaRouterV2 = exports.LambdaRouter = void 0;
const handler_v1_1 = require("./handler-v1");
const router_1 = require("./router");
const handler_v2_1 = require("./handler-v2");
exports.LambdaRouter = {
    build: (routes, config) => {
        const routeDef = routes(router_1.Router());
        return handler_v1_1.APIEventHandler(routeDef, config);
    },
};
exports.LambdaRouterV2 = {
    build: (routes, config) => {
        const routeDef = routes(router_1.Router());
        return handler_v2_1.APIEventHandlerV2(routeDef, config);
    },
};
